fold_vars.h File Reference

Here all all declarations of the global variables used throughout RNAlib. More...

Include dependency graph for fold_vars.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Variables

int | fold_constrained
| Global switch to activate/deactivate folding with structure constraints.
int | csv
| generate comma seperated output
char * | RibosumFile
int | james_rule
int | logML
int | cut_point
| Marks the position (starting from 1) of the first nucleotide of the second molecule within the concatenated sequence. More...
bondT * | base_pair
| Contains a list of base pairs after a call to fold(). More...
FLT_OR_DBL * | pr
| A pointer to the base pair probability matrix. More...
int * | iindx
| index array to move through pr. More...

## Detailed Description

Here all all declarations of the global variables used throughout RNAlib.

## Variable Documentation

char* RibosumFile

warning this variable will vanish in the future ribosums will be compiled in instead

int james_rule

interior loops of size 2 get energy 0.8Kcal and no mismatches, default 1

int logML

use logarithmic multiloop energy function

int cut_point

Marks the position (starting from 1) of the first nucleotide of the second molecule within the concatenated sequence.

To evaluate the energy of a duplex structure (a structure formed by two strands), concatenate the to sequences and set it to the first base of the second strand in the concatenated sequence. The default value of -1 stands for single molecule folding. The cut_point variable is also used by vrna_file_PS_rnaplot() and PS_dot_plot() to mark the chain break in postscript plots.

bondT* base_pair

Contains a list of base pairs after a call to fold().

base_pair[0].i contains the total number of pairs.

Deprecated:
  Do not use this variable anymore!

FLT_OR_DBL* pr

A pointer to the base pair probability matrix.

Deprecated:
  Do not use this variable anymore!

int* iindx

index array to move through pr.

The probability for base i and j to form a pair is in pr[iindx[i]-j].

Deprecated:
  Do not use this variable anymore!